Bug 506217 - Implement blkdev_releasepage() to release the buffer_heads and pages after we release private data belonging to a mounted filesystem.
Implement blkdev_releasepage() to release the buffer_heads and pages after we...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Eric Sandeen
Red Hat Kernel QE team
:
Depends On:
Blocks: 533192
  Show dependency treegraph
 
Reported: 2009-06-16 00:57 EDT by Wade Mealing
Modified: 2011-07-13 18:43 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 03:41:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch that seems to register correctly this time. (8.55 KB, patch)
2009-10-06 22:46 EDT, Wade Mealing
no flags Details | Diff

  None (edit)
Comment 1 Wade Mealing 2009-06-16 00:59:52 EDT
Back port of patch from of http://marc.info/?l=linux-ext4&m=123099540219696&w=2
Comment 4 RHEL Product and Program Management 2009-06-16 18:21:39 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 12 Wade Mealing 2009-10-06 22:46:17 EDT
Created attachment 363919 [details]
Patch that seems to register correctly this time.
Comment 14 RHEL Product and Program Management 2009-11-25 18:30:13 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 16 Wade Mealing 2009-12-01 20:15:48 EST
Eric Sandeen posted a modification in the rh-kernel list which doesn't use such a convoluted method of registration.  It seems to solve the same problem.
Comment 17 Don Zickus 2009-12-09 13:11:29 EST
in kernel-2.6.18-178.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please update the appropriate value in the Verified field
(cf_verified) to indicate this fix has been successfully
verified. Include a comment with verification details.
Comment 20 Chris Ward 2010-02-11 05:15:58 EST
~~ Attention Customers and Partners - RHEL 5.5 Beta is now available on RHN ~~

RHEL 5.5 Beta has been released! There should be a fix present in this 
release that addresses your request. Please test and report back results 
here, by March 3rd 2010 (2010-03-03) or sooner.

Upon successful verification of this request, post your results and update 
the Verified field in Bugzilla with the appropriate value.

If you encounter any issues while testing, please describe them and set 
this bug into NEED_INFO. If you encounter new defects or have additional 
patch(es) to request for inclusion, please clone this bug per each request
and escalate through your support representative.
Comment 24 errata-xmlrpc 2010-03-30 03:41:55 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0178.html

Note You need to log in before you can comment on or make changes to this bug.